# std::shared_lock::owns_lock

From cppreference.com
< cpp‎ | thread‎ | shared lock

bool owns_lock() const; |  | (since C++14)

Checks whether *this owns a locked mutex or not.

### Parameters

(none)

### Return value

true if *this has an associated mutex and has acquired shared ownership of it, false otherwise.

### Exceptions

`noexcept` specification:
noexcept

### See also

operator bool | tests whether the lock owns its associated mutex (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_lock/owns_lock&oldid=91534"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template